\documentclass[11pt]{standalone}
\usepackage{stanli}

\begin{document}
    
\begin{tikzpicture}
%\draw[help lines]
%(-5,-5) grid (14,13);

\scaling{1.3}

\point{a}{0}{3};
\point{b}{4}{3};
\point{c}{4}{0};
\point{d}{4}{1.5}; % Location of concentrated moment
\point{e}{-0.15}{2.15}; % Prescribed displacement positioning

\beam{1}{a}{b};
\beam{1}{b}{c};

\support{3}{a}[-90];
\support{1}{c};

%\lineload{1}{b}{c};
%\temperature{a}{b}{.5}{-.5}[0.5][$30^\circ$C][$-30^\circ$C];

\load{2}{d};%[90][1][-1.8];
\load{1}{e}[90];


\dimensioning{1}{a}{b}{-1.4}[$6$~m];
\dimensioning{2}{d}{b}{-1.8}[$2$~m];
\dimensioning{2}{c}{d}{-1.8}[$2$~m];

\notation{1}{a}{$\bf 1$}[above right=1mm];
\notation{1}{b}{$\bf 2$}[above];
\notation{1}{c}{$\bf 3$}[above left=1mm];

\notation{1}{d}{$18$~kNm}[above left=4mm];
\notation{1}{e}{$5$~mm}[right];


%% Cross-section
\point{e}{0.5}{0.5};
\point{f}{1.1}{0.5};
\point{g}{1.1}{1.3};
\point{h}{0.5}{1.3};

\beam{2}{e}{f}[1];
\beam{2}{f}{g}[1];
\beam{2}{g}{h}[1];
\beam{2}{h}{e}[1];

\dimensioning{1}{e}{f}{0.0}[$0.4$];
\dimensioning{2}{f}{g}{0.0}[$0.6$];

\end{tikzpicture}

\end{document}